/**
 * @student.info
 *<BR> Name:          Mr. Eliot
 *<BR> Date:          02-03-2017, 2-5-2018, 2-2-2019, 02-06-2023, 2-6-2024
 *<BR> Period:        All
 *<BR> Assignment:    ICT Lesson 23
 *<BR> Description:   Demonstrate For-Each Loop
 *<BR> Cite Sources:  Me
 */

import java.util.ArrayList;
 
public class ForEachLoopDemoStudent
{
	private ArrayList<String> MyCars;
	private Animal[] MyAnimals; 
	
	public ForEachLoopDemoStudent()
	{
		MyCars = new ArrayList<String>();
		MyAnimals = new Animal[10];
		storeMyCars();
		storeMyAnimals();
	}
	
	private void storeMyCars()
	{
		MyCars.add("Chevrolet Cruze");
		MyCars.add("Hyundai Elantra");
		MyCars.add("Ford Fusion");
		MyCars.add("Honda Civic");
		MyCars.add("Nissan Altima");
		
		MyCars.add("Honda Accord");
		MyCars.add("Toyota Corolla");
		MyCars.add("Toyota Camry");
		MyCars.add("Chevrolet Silverado");
		MyCars.add("Dodge Ram Pickup");
	}
	
	private void storeMyAnimals()
	{
		MyAnimals[0] = new Animal("Dog");
		MyAnimals[1] = new Animal("Cat");
		MyAnimals[2] = new Animal("Ferret");
		MyAnimals[3] = new Animal("Horse");
		MyAnimals[4] = new Animal("Cow");

		MyAnimals[5] = new Animal("Pig");
		MyAnimals[6] = new Animal("Chicken");
		MyAnimals[7] = new Animal("Llama");
		MyAnimals[8] = new Animal("Gerbal");
		MyAnimals[9] = new Animal("Hamster");		
	}
	
	public void printMyCars()
	{
		for(int i = 0; i < MyCars.size(); i++)
		{
			System.out.printf("(%2d)  %s\n", (i + 1), MyCars.get(i));
		}
	}
	
	public void printMyAnimals()
	{
		for(int i = 0; i < MyAnimals.length; i++)
		{
			System.out.printf("(%2d)  %s\n", (i + 1), MyAnimals[i].getAnimal());
		}
	}
}